<i18n>
{
  "fr": {
    "info-1": "La réglementation française préconise, pour l'aviation, de prendre en compte les émissions de GES liées à la combustion et à l'amont du combustible, sans inclure les émissions liées aux <strong>traînées de condensation</strong>. <br />Le <strong>forçage radiatif</strong> de ces traînées est <strong>important</strong> même si son <strong>ampleur précise est incertaine</strong>. Pour cela, GES 1point5 permet de prendre en compte ou non ces traînées dans les calculs.",
    "info-2": "Prendre en compte les traînées de condensation de l'aviation dans les calculs de GES 1point5."
  },
  "en": {
    "info-1": "For air travel, the French regulation advocates to take into account the emissions linked to fuel combustion and upstream, and to exclude emissions from <strong>condensation trails</strong>.<br /> The <strong>radiative forcing</strong> of these contrails is <strong>significant</strong> even if its <strong>magnitude is still uncertain</strong>. Therefore, GES 1point5 allows to take these contrails into acccount or not in the calculation.",
    "info-2": "Include plane contrails in GES 1point5 calculations."
  }
}
</i18n>

<template>
  <b-notification
    :closable="false"
  >
    <b-switch
      v-model="value"
      @input="emitEvents"
    >
      <strong>{{ $t('info-2') }}</strong>
    </b-switch>
    <br />
    <p style="margin-left: 56px;" v-html="$t('info-1')" />
  </b-notification>
</template>

<script>
export default {
  name: 'ContrailsSwitch',
  props: {
    withContrails: Boolean
  },
  data () {
    return {
      value: this.withContrails
    }
  },
  methods: {
    emitEvents: function () {
      this.$emit('update:withContrails', this.value)
      this.$emit('input')
    }
  }
}
</script>
